#!/bin/bash

placeOfLink=~/bin/canonCounter

if ! [ -L $placeOfLink ]; then
    echo "ERROR: no symlink \"$placeOfLink\"" >&2
    exit 1
fi
ctr=$(readlink $placeOfLink)
if ! ctr=$(($ctr+1)); then
    exit 1
fi

if gphoto2 --filename=$(printf "IMG_%06d.JPG" $ctr) --capture-image-and-download; then
    ln -sf $ctr $placeOfLink
fi
